Bug 1127347 - NullPointerException while navigating to a recently created repository
Summary: NullPointerException while navigating to a recently created repository
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: DR3
: 6.1.0
Assignee: manstis
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 17:19 UTC by Abhijit humbe
Modified: 2018-12-09 18:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
server.log file (136.04 KB, image/png)
2014-08-06 17:19 UTC, Abhijit humbe
no flags Details

Description Abhijit humbe 2014-08-06 17:19:36 UTC
Created attachment 924545 [details]
server.log file

Description of problem:
Created a organizational unit, created a repository, navigate to project explorer, select the recently created repository, it throws a NPE 

ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-2) java.lang.RuntimeException: Failed to dispatch CDI Event
ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-2) 	at org.jboss.errai.cdi.server.events.EventDispatcher.callback(EventDispatcher.java:193)
ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-2) 	at org.jboss.errai.bus.server.DeliveryPlan.deliver(DeliveryPlan.java:47)
 . . . 
ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-2) Caused by: java.lang.NullPointerException
ERROR [stderr] (http-localhost.localdomain/127.0.0.1:8080-2) 	at org.kie.workbench.common.services.backend.rulename.RuleNameServiceImpl.onProjectContextChange(RuleNameServiceImpl.java:91)

complete server.log file attached

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Install BRMS 6.0.2 
2.Login to business central and create organizational unit name:MyOrgUnit, owner:admin
3.Create a repository MyRepository. associate to MyOrgUnit
4.Select Authoring -> Project Authoring.
5.Select the MyOrgUnit organization, it throws exception

Actual results:


Expected results:


Additional info:
This exception is occurred when we dont have any project in repository.

Comment 2 manstis 2014-08-27 08:56:59 UTC
This area of the code has been refactored for 6.1 and the reported NPE does not occur as we handle resolution of Rule Names "on demand" rather than "up front" (and caching the results - as the old RuleNameServiceImpl used to do).

Comment 3 azipory 2014-09-07 07:03:01 UTC
A customer of ours encountered that issue as well.
Can you please provide more details as what needs to be done to 
work with version 6.0.2. Thanks,


Note You need to log in before you can comment on or make changes to this bug.